%define major	0

Summary: Medusa, the gnome search/indexing package
Name: medusa
Version: 0.5.1
Release: 10mdk
License: LGPL
Group: Graphical desktop/GNOME
Source: ftp://ftp.gnome.org/pub/GNOME/unstable/sources/medusa/medusa-%{version}.tar.bz2
Patch0: medusa-init.patch.bz2
# (fc) 0.5.1-2mdk missing m4 macros for aclocal call (from GNOME CVS)
Patch1: medusa-0.5.1-macros.patch.bz2 
# (fc) 0.5.1-2mdk fix makefile.am for latest libtool
Patch2: medusa-0.5.1-libtool.patch.bz2
Patch3: medusa-0.5.1-types.patch.bz2
Patch4: medusa-0.5.1-configure.patch.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-root
URL: http://www.gnome.org
Prereq: /sbin/install-info
Requires: glib >= 1.2.0 gnome-vfs >= 0.5 oaf >= 0.3 GConf >= 0.5
BuildRequires: db3-devel
BuildRequires: GConf-devel
BuildRequires: gnome-libs-devel
BuildRequires: gnome-vfs-devel >= 0.5
BuildRequires: libxml-devel
BuildRequires: openssl-devel
BuildRequires: popt-devel
#explicit dependency on library, since it is not binary compatible (but keep same soname)
Requires: lib%{name}%{major} = %{version}

%description
Medusa is a fast indexer and filesystem search daemon. It is used by
Nautilus and Gnome-VFS to perform rapid searches of the filesystem for
files meeting various criterion (type, name, size, date, etc).

%package  -n lib%{name}%{major}
Summary: %{summary}
Group: %{group}
%description -n lib%{name}%{major}
Medusa is a fast indexer and filesystem search daemon. It is used by
Nautilus and Gnome-VFS to perform rapid searches of the filesystem for
files meeting various criterion (type, name, size, date, etc).

This package provides libraries used by Medusa.

%package -n lib%{name}%{major}-devel
Provides:		lib%{name}-devel
Summary:        Libraries and include files for developing medusa components
Group:          Development/GNOME and GTK+
Requires:       %name = %{version}
Requires:       lib%{name}%{major} = %{version}

%description  -n lib%{name}%{major}-devel
Medusa is a fast indexer and filesystem search daemon. It is used by
Nautilus and Gnome-VFS to perform rapid searches of the filesystem for
files meeting various criterion (type, name, size, date, etc).

This package provides the necessary development libraries and include 
files to allow you to develop medusa components.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q
%patch0 -p 1 -b .init
%patch1 -p 1 -b .macros
%patch2 -p 1 -b .libtool
%patch3 -p1
%patch4 -p1

# needed with latest libtool, and for Patch4
aclocal -I hack-macros
autoconf

#needed by patch2
automake -a --foreign

%build

%serverbuild

%configure --sharedstatedir=%{_datadir}

%make

%install
%makeinstall_std

mkdir -p $RPM_BUILD_ROOT%{_initrddir}
chmod a+x $RPM_BUILD_ROOT%{_sysconfdir}/cron.daily/* $RPM_BUILD_ROOT%{_sysconfdir}/profile.d/*
cp $RPM_BUILD_ROOT%{_prefix}/tmp/* $RPM_BUILD_ROOT%{_initrddir}/medusa

%clean
rm -rf $RPM_BUILD_ROOT

%post -n  lib%{name}%{major} -p /sbin/ldconfig 


%postun  -n lib%{name}%{major} -p /sbin/ldconfig

%post
%_post_service medusa

%preun
%_preun_service medusa


%files
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog NEWS README
%config(noreplace) %{_sysconfdir}/vfs/modules/*.conf
%config(noreplace) %{_sysconfdir}/cron.daily/*
%config(noreplace) %{_sysconfdir}/profile.d/*
%config(noreplace) %{_sysconfdir}/medusa
%attr(755,root,root) %config(noreplace) %{_initrddir}/*
%{_bindir}/medusa-indexd
%{_bindir}/medusa-searchd
%{_bindir}/medusa-idled
%{_bindir}/msearch
%{_sbindir}/medusa-test-indexing-status
%{_libdir}/vfs/modules/*.so
%{_localstatedir}/medusa
%{_mandir}/*/*

%files -n lib%{name}%{major}
%defattr(-, root, root)
%{_libdir}/*.so.*

%files -n lib%{name}%{major}-devel
%defattr(-, root, root)
%{_bindir}/medusa-config
%{_includedir}/libmedusa
%{_libdir}/*.la
%{_libdir}/*.so
%{_libdir}/vfs/modules/*.la

%changelog
* Tue Mar  5 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.5.1-10mdk
- Update patch0 to no longer complain if medusa-indexd is not running when
  stopping medusa (this is ok..)

* Tue Mar  5 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.5.1-9mdk
- Update patch 0 to fix medusa daemon startup
- Merge patch 5 in patch 0 (patch 0 should have been fixed the first time..)

* Wed Jan  9 2002 Guillaume Cottenceau <gc@mandrakesoft.com> 0.5.1-8mdk
- have description: line of initscript in one line only (scripts and
  notably install had problems getting all the line)

* Fri Dec 28 2001 Stefan van der Eijk <stefan@eijk.nu> 0.5.1-7mdk
- new description

* Thu Dec 27 2001 Stefan van der Eijk <stefan@eijk.nu> 0.5.1-6mdk
- BuildRequires

* Mon Dec  3 2001 Jeff Garzik <jgarzik@mandrakesoft.com> 0.5.1-5mdk
- Patch3: fix missing include breaking build on some platforms
- Patch4: get GNOMEUI_FLAGS from gnome-config. fix build on i586 and alpha
- Patch5: rename initscript from medusa-init to medusa
- pass -a and --foreign to automake

* Mon Jul 16 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.5.1-4mdk
- Fix exec perms for scripts (thanks to Michael Reinsch)

* Wed Jul 11 2001 Stefan van der Eijk <stefan@eijk.nu> 0.5.1-3mdk
- BuildRequires:	libxml-devel (sorry)

* Wed Jul 11 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.5.1-2mdk
- Patch1: Add missing m4 macros (aclocal problem)
- Patch2: fix rebuild with latest libtool
- Correct BuildRequires (Stefan van der Eijk)

* Mon May 14 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.5.1-1mdk
- Release 0.5.1
- Regenerate patch 0
- Remove patch1 (merged upstream)

* Fri Mar 30 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.5.0-3mdk
- Medusa services are now launched at init 3 4 5 (patch0)

* Thu Mar 29 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.5.0-2mdk
- Use server macros
- Patch1 to force generation of config files

* Tue Mar 13 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.5.0-1mdk
- Release 0.5.0

* Wed Feb 28 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.3.2-1mdk
- Release 0.3.2
- use /usr/share instead of /usr/com for shared state dir
- Update patch 0

* Mon Feb  5 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.3.0-1mdk
- Release 0.3.0

* Wed Jan 24 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.2.2-2mdk
- Recompiled with oaf 0.6.2

* Tue Nov 21 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.2.2-1mdk
- Release 0.2.2
- Put lib in separate package

* Mon Sep 11 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.2-2mdk
- spec changes

* Mon Aug 28 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.2-1mdk
- First mandrake package

* Sun Jun 11 2000  Eskil Heyn Olsen <deity@eazel.com>

- Created the .spec file
